## Tool: `delete_runtime`

Deletes a runtime (`runtimes/{runtime_id}`) and everything on it: files, sessions and their state. This can't be undone.

Delete a runtime only when the user asks, or to free up one you created when `create_runtime` fails because the user has too many active runtimes. To reset or isolate state, close a session with `delete_session` instead.

The following code sample shows how to use `curl` to call the `delete_runtime` MCP tool.

| Curl Request |
|---|
| ```bash curl --location 'https://colaboratory.googleapis.com/mcp' \ --header 'content-type: application/json' \ --header 'accept: application/json, text/event-stream' \ --data '{ "method": "tools/call", "params": { "name": "delete_runtime", "arguments": { // Provide these details according to the MCP tool specification. } }, "jsonrpc": "2.0", "id": 1 }' ``` |

## Input Schema

Request message for `DeleteRuntime`.

### DeleteRuntimeRequest

| JSON representation |
|---|
| ``` { "name": string, "allowMissing": boolean } ``` |

| Fields ||
|---|---|
| `name` | `string` Required. The name of the runtime to unassign. Format: `runtimes/{runtime_id}`. |
| `allowMissing` | `boolean` Optional. If set to `true`, and the runtime is not found, the request will succeed but no action will be taken on the server. |

## Output Schema

A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance:

    service Foo {
      rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty);
    }

### Tool Annotations


[Tool annotations](https://modelcontextprotocol.io/specification/latest/schema#toolannotations) are sent to MCP clients to describe the basic risk of a given tool. Most clients treat these hints as untrusted, but they can be used to decide when a confirmation prompt might be sent to a user.


Along with the title string, the following boolean hints are defined as follows:

- `readOnlyHint`: If true, the tool doesn't modify its environment. Default: false.
- `destructiveHint`: If true, then the tool can perform destructive actions. If false, then the tool can only perform additive actions. Default: true.
- `idempotentHint`: If true, then calling the tool repeatedly with the same arguments will have no additional effect on its environment. Default: false.
- `openWorldHint`: If true, then the tool can interact with an 'open world' of external entities. If false, then the tool can only interact with internal entities. For example, a web search tool would be open world, while a memory tool would not be open world.

Destructive Hint: ✅ \| Idempotent Hint: ✅ \| Read Only Hint: ❌ \| Open World Hint: ❌